pay/direct

​

Body

application/json
  • Price to be paid Format: a positive number with '.' as the separator, no more than two digits after the dot

  • Merchant's key (identifier). It is a sensitive data

  • Properties: 5
  • Currency in which the product price is indicated. (3-digit alphabetic ISO 4217 currency code)

  • Order description

  • Time limit until when the order must be paid. Note that the API server operates in Kiev timezone GMT+2 (in winter)/GMT+3 (in summer)

  • URL, where the customer will be redirected to in case of unsuccessful payment

  • Language for displaying information on the payment page.

  • Properties: 11
  • Unique order number in the store system for further order identification

  • URL, where the customer will be redirected to, if the payment is successful

Responses

  • application/json
Request Example for post/pay/direct
curl https://pay.mrcr.io/pay/direct \
  --request POST \
  --header 'Content-Type: application/json' \
  --data '{
  "api_key": "e48d35a0-6030-013c-f4c2-053294816e63",
  "expiration": "2023-12-01 00:00",
  "amount": 10.65,
  "currency": "EUR",
  "description": "pay-direct_test_payment_23-11-08_1",
  "reference": "pay-direct_test_payment_23-11-08_1",
  "success_url": "http://some.url/success",
  "failure_url": "http://some.url/failure",
  "lang": "en",
  "params": {
    "auth_token": "0123cd5c-3g78-4a68-92c0-5c00cdd4hf21",
    "ip": "123.123.123.123",
    "user_phone": "41783123738",
    "verification_flag": 1,
    "af_platform": "desktop_web",
    "flag_get_url": 1,
    "pay_token_flag": 1,
    "user_id": "test_user",
    "user_email": "test@fakemail.com",
    "customer": {
      "firstname": "JACK",
      "lastname": "REACHER",
      "kyc_status": true,
      "date_of_first_deposit": "2025-04-01",
      "deposits_amount": 177,
      "withdrawals_amount": 50,
      "deposits_cnt": 1,
      "withdrawals_cnt": 5,
      "birth_date": "2005-01-25",
      "address": {
        "line1": "123 Main Street, apt 4A",
        "line2": "San Diego CA, 91911",
        "city": "San Diego",
        "state_code": "CA",
        "zip_code": "91911",
        "country_code": "US"
      }
    },
    "digital_asset_type": "3"
  },
  "card_data": {
    "pan": "4444444444444422",
    "cvv": "123",
    "exp_month": "12",
    "exp_year": "25",
    "cardholder": "JOHN DOW"
  }
}'
{
  "data": "eyJvcmRlciI6eyJ0cmFuc2FjdGlvbl9pZCI6NSwicmVmZXJlbmNlIjoicGF5LWRpcmVjdF90ZXN0X3BheW1lbnRfMjMtMTEtMDhfMSIsImV4dGVybmFsX3JlZmVyZW5jZSI6Ijk4MzciLCJhcGlfa2V5IjoiZTQ4ZDM1YTAtNjAzMC0wMTNjLWY0YzItMDUzMjk0ODE2ZTYzIiwiYW1vdW50IjoiMTAuNjUiLCJjdXJyZW5jeSI6IkVVUiIsInN0YXR1cyI6MSwic3RhdHVzX25hbWUiOiJhdXRob3JpemUiLCJzeXN0ZW1fYW1vdW50IjoiMTAuNjUiLCJjb21taXNzaW9uIjoiMC4wIiwic3lzdGVtX2N1cnJlbmN5IjoiRVVSIiwiY2FyZF9udW1iZXIiOiI1NTU1NDQqKioqKioxMTExIiwiY2FyZGhvbGRlciI6IkpPSE4gRE9XIiwicHJvY2Vzc2luZ19lcnJvcl9tc2ciOm51bGwsImF1dGhvcml6YXRpb25fY29kZSI6bnVsbCwiY2FyZF90eXBlIjoiTUFTVEVSQ0FSRCIsInN1Y2Nlc3NfdXJsIjoiaHR0cDovL3NvbWUudXJsL3N1Y2Nlc3MiLCJmYWlsdXJlX3VybCI6Imh0dHA6Ly9zb21lLnVybC9mYWlsdXJlIiwib3BlcmF0aW9uX2Ftb3VudCI6IjEwLjY1IiwicmVmdW5kX2RldGFpbHMiOltdfSwic3VjY2VzcyI6dHJ1ZSwiZXJyb3IiOm51bGwsInRpbWVfcHJvYyI6IjUuNTkgc2VjLiIsInJlcXVlc3RfaWQiOiIxMzA4MjA3NDEzIn0=",
  "sign": "f389786da3c0e9257024330d560fa8d3",
  "success": true,
  "time_proc": "0.11 sec.",
  "request_id": "1308207413"
}